<?php

/**
 * @package Auto-Install Free SSL
 * This package is a WordPress Plugin. It issues and installs free SSL certificates in cPanel shared hosting with complete automation.
 *
 * @author Free SSL Dot Tech <support@freessl.tech>
 * @copyright  Copyright (C) 2019-2020, Anindya Sundar Mandal
 * @license    http://www.gnu.org/licenses/gpl-3.0.html GNU General Public License, version 3
 * @link       https://freessl.tech
 * @since      Class available since Release 1.0.0
 *
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */
namespace AutoInstallFreeSSL\FreeSSLAuto;

use  DateTime ;
use  AutoInstallFreeSSL\FreeSSLAuto\Admin\Factory ;
use  Exception ;
class Email
{
    private  $logger ;
    public  $admin_email ;
    public function __construct()
    {
        if ( !defined( 'ABSPATH' ) ) {
            die( __( "Access Denied", 'auto-install-free-ssl' ) );
        }
        $this->logger = new Logger();
        $this->admin_email = get_option( 'admin_email' );
    }
    
    /**
     * @param $admin_first_name
     *
     * @return string
     * 
     *
     *
     * Add review request in automated email notification
     * @since 2.0.0
     */
    public function add_review_request_in_email( $admin_first_name = null )
    {
        $display_review = get_option( 'aifs_display_review' );
        
        if ( $display_review != false && $display_review != 0 ) {
            //If aifs_display_review is set to 1, add the review request
            $html = "<div style='background-color: #000000; padding: 15px; margin-bottom: 18px;'>\n                            <div style='color: #FFFF00; font-size: 1.25em; margin-bottom: 16px;'>\n                                " . __( 'Hey', 'auto-install-free-ssl' ) . ' ' . (( is_null( $admin_first_name ) ? aifs_admin_first_name() : $admin_first_name )) . ', <strong>' . AIFS_NAME . '</strong> ' . __( 'has saved your $$$ by providing Free SSL Certificates and will save more. Could you please do me a BIG favor and give it a 5-star rating on WordPress? To help me spread the word and boost my motivation.', 'auto-install-free-ssl' ) . " <br />~Anindya\n                            </div>\n                            <a style='background: #399642; color: #ffffff; text-decoration: none; padding: 7px 15px; border-radius: 5px;' href='https://wordpress.org/support/plugin/auto-install-free-ssl/reviews/#new-post' target='_blank'>Sure! You Deserve It.</a>\n                      </div>";
        } else {
            $html = "";
        }
        
        return $html;
    }
    
    /**
     *
     *
     * Add email signature
     * @return string
     *
     * @since 2.0.0
     */
    public function add_email_signature()
    {
        $html = "This is a system generated email.<br />\n        Do not reply to this automated email.<br /><br />\n        --------------<br />\n        Regards,<br />\n        Team <strong>" . AIFS_NAME . "</strong><br />\n        Powered by <a href='https://getwww.me'>GetWWW.me</a> (Beautiful WordPress website design service) and <a href='https://speedify.tech/wordpress-website-speed-optimization-service'>SpeedUpWebsite.info</a> (WordPress website speed optimization service)<br />";
        return $html;
    }

}